﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImagePaint
{
    public partial class Form1 : Form
    {

        

        bool paint = false;
        SolidBrush color = new SolidBrush(Color.Black);


        public Form1()
        {
            InitializeComponent();
        }

        private void btnExitClick(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnClearClick(object sender, EventArgs e)
        {
            Graphics g1 = panel1.CreateGraphics();
            g1.Clear(panel1.BackColor);
        }

        private void panel1_MouseUp(object sender, MouseEventArgs e)
        {
            paint = false;
        }

        private void panel1_MouseDown(object sender, MouseEventArgs e)
        {
            paint = true;
        }

        private void panel1_MouseMove(object sender, MouseEventArgs e)
        {
            if (paint)
            {
                Graphics g = panel1.CreateGraphics();
                g.FillEllipse(color, e.X, e.Y, 10, 10);
                g.Dispose();
            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveFileDialog save = new SaveFileDialog();

            save.Filter = "All Files|*.*|Jpg Files|*.jpg|Png Files|*.png|Bmp file|*.bmp";

            if (save.ShowDialog() == DialogResult.OK)
            {
                try
                {
                    int Width = panel1.Width;
                    int Height = panel1.Height;

                    Bitmap bitMap = new Bitmap(Width, Height);
                    Rectangle rec = new Rectangle(0, 0, Width, Height);

                    panel1.DrawToBitmap(bitMap, rec);

                    bitMap.Save(save.FileName);
                }
                catch (Exception ex)
                {
                    MessageBox.Show("An error has occured while trying to save the picture. Error type:" + ex.Message);
                }
            }
        }

        private void loadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog open = new OpenFileDialog();
            open.Filter = "All Files|*.*|Jpg Files|*.jpg|Png Files|*.png";
            open.InitialDirectory = @"C:\Users\Jacob\Desktop\";
            if (open.ShowDialog() == DialogResult.OK)
            {
                Image Im = Image.FromFile(open.FileName);
                panel1.BackgroundImage = Im;
            }
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.White);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Black);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Red);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Blue);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Lime);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.DarkGreen);
        }

        private void button9_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Yellow);
        }

        private void button10_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Orange);
        }

        private void button11_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Fuchsia);
        }

        private void button12_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Cyan);
        }

        private void button13_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Maroon);
        }

        private void button14_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Navy);
        }

        private void button15_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Purple);
        }

        private void button16_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Gold);
        }

        private void button17_Click(object sender, EventArgs e)
        {
            color = new SolidBrush(Color.Chocolate);
        }
    }
}
